## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Some tests fail. Pass --with all_tests to retry
%bcond_with all_tests

%global forgeurl https://codeberg.org/allauth/django-allauth

Name:           python-django-allauth
Version:        65.3.0
Release:        %autorelease
Summary:        Integrated set of Django authentication apps
License:        MIT
URL:            https://allauth.org/
# PyPI source has no tests
# Source0:        %%{pypi_source django-allauth}
Source:         %{forgeurl}/archive/%{version}.tar.gz#/django-allauth-%{version}.tar.gz
# unpin coverage version
Patch:          django-allauth-relax-coverage-version.diff
# Temporarily lower from == 0.23.8 to >= 0.23.6
# 0.24 is out, the breaking change should not affect this package
# (it requires pytest >= 8.2)
Patch:          django-allauth-lower_pytest-asyncio_req.diff

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
Integrated set of Django applications addressing authentication, registration,
account management as well as 3rd party (social) account authentication.

## Rationale
Most existing Django apps that address the problem of social authentication
focus on just that. You typically need to integrate another app in order to
support authentication via a local account.

This approach separates the worlds of local and social authentication. However,
there are common scenarios to be dealt with in both worlds. For example, an
e-mail address passed along by an OpenID provider is not guaranteed to be
verified. So, before hooking an OpenID account up to a local account the e-mail
address must be verified. So, e-mail verification needs to be present in both
worlds.

Integrating both worlds is quite a tedious process. It is definitely not a
matter of simply adding one social authentication app, and one local account
registration app to your INSTALLED_APPS list.

This is the reason this project got started – to offer a fully integrated
authentication app that allows for both local and social authentication, with
flows that just work.}

%description %{_description}


%package -n python%{python3_pkgversion}-django-allauth
Summary:        %{summary}

%description -n python%{python3_pkgversion}-django-allauth %{_description}

%pyproject_extras_subpkg -n python%{python3_pkgversion}-django-allauth mfa openid saml socialaccount steam

%prep
%autosetup -p1 -n django-allauth
%if %{without failedtests}
%endif


%generate_buildrequires
%pyproject_buildrequires -t -x mfa,openid,saml,socialaccount,steam


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files allauth


%check
%pytest -v \
%if %{without all_tests}
  --deselect allauth/socialaccount/providers/openid/tests.py::OpenIDTests::test_login \
  --deselect allauth/socialaccount/providers/openid/tests.py::OpenIDTests::test_login_with_extra_attributes \
%endif
;


%files -n python%{python3_pkgversion}-django-allauth -f %{pyproject_files}
%doc AUTHORS ChangeLog.rst README.rst


%changelog
## START: Generated by rpmautospec
* Fri Dec 20 2024 Michel Lind <salimma@fedoraproject.org> - 65.3.0-1
- Update to version 65.3.0; Fixes: RHBZ#2329656

* Wed Nov 13 2024 Michel Lind <salimma@fedoraproject.org> - 65.2.0-1
- Update to 65.2.0
- Resolves: rhbz#2315110
- Update URL
- Update source URL to use Codeberg

* Mon Sep 23 2024 Michel Lind <salimma@fedoraproject.org> - 65.0.1-1
- Update to version 65.0.1; Fixes: RHBZ#2314071

* Tue Sep 17 2024 Michel Lind <salimma@fedoraproject.org> - 64.2.1-1
- Update to version 64.2.1; Fixes: RHBZ#2309039
- Enable extra subpackages

* Wed Aug 28 2024 Michel Lind <salimma@fedoraproject.org> - 64.1.0-1
- Update to version 64.1.0; Fixes: RHBZ#2276536

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.61.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 20 2024 Python Maint <python-maint@redhat.com> - 0.61.1-2
- Rebuilt for Python 3.13

* Thu Feb 29 2024 Michel Lind <salimma@fedoraproject.org> - 0.61.1-1
- Update to 0.61.1

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.54.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.54.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.54.0-1
- Update to 0.54.0 (rhbz#2220192)

* Thu May 04 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.46.0-6
- Pass --source to `coverage` so it can find the source files (needed for
  coverage 7.x)
- Run tests with verbose output

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.46.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.46.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.46.0-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.46.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 08 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.46.0-1
- Initial Fedora package
## END: Generated by rpmautospec
